*** Xew/GetImage.c.orig	Wed Nov  8 15:14:45 1995
--- Xew/GetImage.c	Mon Aug 26 10:45:15 1996
***************
*** 32,38 ****
  	Pixmap pixmap;
  	GC gc;
  	XImage *image;
! 
  	/*
  	** No XGetImage is possible if the widget is not properly realised
  	*/
--- 32,39 ----
  	Pixmap pixmap;
  	GC gc;
  	XImage *image;
! 	XWindowAttributes attributes;
! 	
  	/*
  	** No XGetImage is possible if the widget is not properly realised
  	*/
***************
*** 39,44 ****
--- 40,51 ----
  	if (!window || !w->core.width || !w->core.height)
  		return NULL;
  
+ 	/*
+ 	** Nor can this do anything, if the window is InputOnly.
+ 	*/
+ 	if (XGetWindowAttributes(display, window, &attributes) == 0 ||
+ 	    attributes.class == InputOnly)
+ 		return NULL;
  	/*
  	** Constrain the requested rectangle inside the pixmap
  	** to prevent "bad match" errors from XGetImage!
*** Xew/Print.c.orig	Wed Dec 27 12:48:56 1995
--- Xew/Print.c	Mon Aug 26 11:24:05 1996
***************
*** 278,283 ****
--- 278,291 ----
  	if (w->core.being_destroyed)
  		return;
  
+ 	/*
+ 	** Do not include any unmanaged subtrees into printing, with
+ 	** the exception: accept top level regardless of the managed/
+ 	** unmanaged status.
+ 	*/
+ 	if (parent && !XtIsManaged(w))
+ 		return;
+ 
  	clone =	(Widget)XtMalloc(w->core.widget_class->core_class.widget_size);
  	if (!clone)
  		return;	/* Oops.. out of memory... */	
